﻿using System;
using System.IO;
using System.Net;
using System.Text;

namespace RequestResponseWebClientChap6CS
{
    /// <summary>
    /// Demonstrates the use of WebClient by
    /// downloading the contents of a URL and displaying
    /// them on the console.
    /// </summary>
    class Program
    {
        [STAThread]
        static void Main(string[] args)
        {
            ResolveResource("http://www.wordpress.org/index.php");
            Console.WriteLine();
            Console.WriteLine("Reading a local HTML file...");
            // Make sure the file is there to see the output...
            ResolveResource("file://c:\\temp\\test.htm");
        }
        static void ResolveResource(string address)
        {
            try
            {
                // Download the content
                WebClient client = new WebClient();
                byte[] contentBytes = client.DownloadData(address);

                Console.WriteLine("DownloadData() is OK...");

                // Convert the content bytes to a string
                string content = Encoding.ASCII.GetString(contentBytes);

                Console.WriteLine("GetString() is OK...");

                // Display the content to the console
                Console.WriteLine(content);
                Console.WriteLine("WriteLine() is OK...");
            }
            catch (WebException wex)
            {
                // Display the exception details
                Console.WriteLine(wex.ToString());
            }
        }
    }
}
